Managing Ancestry Reports

Ancestry Reports

Ancestry reports allow you to learn more about your ancestors and heritage. There are two types of ancestry reports:

  1. ancestry - contains a complete ancestry composition breakdown
  2. mtdna - mitochondrial DNA tests trace people's matrilineal (mother-line) ancestry through their mitochondria, which are passed from mothers to their children. Since everyone has mitochondria, people of all genders can get mtDNA ancestry report.

Ancestry Jobs

Each ancestry job is an entity that represents the pipeline, from start to finish, to generate the ancestry report for a particular profile. Creating an ancestry job would automatically initiate the pipeline to generate the ancestry report for your profile. You can track the ancestry job for any updates or errors as it moves across the pipeline.

Ancestry jobs are genome-file based jobs, meaning that they require a genome file to be processed. For more details regarding the ancestry jobs and their creation, please refer to the Genome File Based Jobs

If you want to create an mtdna ancestry report, then at the time of ancestry job creation, you can specify the ancestry_type as mtdna. If not specified, type is set as ancestry.

Creating an Ancestry Job for the First Time

If you don't have the genome file processed for your profile and are creating a report job for the first time, please refer to Creating a Job for the First Time - Uploading + Processing Genome File.

Examples to Create an Ancestry Job:

POST https://selfdecode.com/service/b2b-integrations/ancestry-job/

Payload to generate only ancestry sans PDF

{
  "profile_id": "1ca85f64-5717-4562-b3fc-2c963f66afa6",
  "file_id": "162357df-e111-4792-8c42-6369d43d52fd", // only for first job
  "desired_status": "report_generated",
}

Payload to generate mtdna ancestry + PDF

{
  "profile_id": "1ca85f64-5717-4562-b3fc-2c963f66afa6",
  "file_id": "162357df-e111-4792-8c42-6369d43d52fd", // only for first job
  "desired_status": "pdf_generated",
  "ancestry_type": "mtdna",
  "pdf_config": {
    "lang": "es"
  },
  "pdf_file_name": "John Doe - Ancestry",
}

Fetching Ancestry Jobs

List

/ancestry-job/ supports listing by parameters: ancestry_type, profile_id, status

Retrieve

Individual ancestry jobs can be retrieved by their job ID at ancestry-job/:job_id. The job ID can be obtained from the response of either the ancestry-job create or ancestry-job list endpoint.

Ancestry PDFs

Please refer to PDFs section in Genome File Based Jobs.

Composed Ancestry

The ancestry job endpoint is used to generate the PDF report for your ancestry data. However, if you want the ancestry results themselves in JSON format, you can use the composed ancestry endpoints.

We offer two endpoints for retrieving ancestry data:

  1. composed-ancestry for global ancestry results
  2. composed-mtdna for mtDNA results

Both of these composed endpoints contain all the required details for composing your ancestry summary. Please see these docs for more details: Ancestry Population Codes and MTH Haplogroups.

Note: Using the composed ancestry endpoint will trigger ancestry generation if it's not already generated.